Update Timesheet

Update a timesheet’s fields, and/or archive or unarchive it.

Set isArchived to true/false to archive/unarchive the timesheet; this is applied independently of any other fields present in the same request.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

timesheet_idstringRequired

Request

This endpoint expects an object.
projectIdintegerOptional
Reassign to a different project. At most one of projectId, accountId, or opportunityId may be provided.
accountIdintegerOptional
Reassign to a different account. At most one of projectId, accountId, or opportunityId may be provided.
opportunityIdintegerOptional
Reassign to a different opportunity. At most one of projectId, accountId, or opportunityId may be provided.
workOrderIdinteger or nullOptional
targetUserIdintegerOptional
startDatestringOptionalformat: "date-time"
endDatestringOptionalformat: "date-time"
distancedouble or nullOptional
laborHourlyRatedouble or nullOptional
notestring or nullOptional
isArchivedbooleanOptional
Set true to archive, false to unarchive. Handled independently of the other fields.

Response

Timesheet updated successfully
idintegerOptional
Unique identifier.
typeenum or nullOptional
Time entry type.
statusenum or nullOptional
Processing status of the time entry.
startDatestring or nullOptionalformat: "date-time"
endDatestring or nullOptionalformat: "date-time"
distancedouble or nullOptional
Distance traveled, for TRAVEL entries.
notestring or nullOptional
isArchivedboolean or nullOptional
createdAtstringOptionalformat: "date-time"
updatedAtstringOptionalformat: "date-time"
projectIdinteger or nullOptional

Set when the linked record is a Project. Null when it is an Account (see accountId) or Opportunity (see opportunityId).

accountIdinteger or nullOptional
Set when the linked record is an Account. Null otherwise.
opportunityIdinteger or nullOptional
Set when the linked record is an Opportunity. Null otherwise.
workOrderIdinteger or nullOptional
targetUserIdinteger or nullOptional
The worker the time entry is logged for.
createdByinteger or nullOptional
updatedByinteger or nullOptional
laborHourlyRatedouble or nullOptional

Labor cost ($/hr). Only visible with the appropriate financial privilege.

laborTotalCostdouble or nullOptional
Only visible with the appropriate financial privilege.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error